Skip to main content
GET
/
inbound
/
settings
/
{uuid}
Get inbound domain settings
curl --request GET \
  --url https://api.jetemail.com/inbound/settings/{uuid} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": {
    "uuid": "550e8400-e29b-41d4-a716-446655440000",
    "domain": "example.com",
    "delivery_type": "smtp",
    "status": "active",
    "smtp_servers": [
      {
        "url": "mail.example.com:25",
        "priority": 1,
        "tls_enabled": false,
        "timeout": 30000
      }
    ],
    "webhook_url": "https://example.com/webhook/inbound",
    "webhook_method": "POST",
    "webhook_headers": {},
    "webhook_timeout": 30000,
    "webhook_retry_count": 3,
    "webhook_auth_header": "<string>",
    "webhook_secret": "<string>",
    "forward_mx_verified": 0,
    "forward_dkim_verified": 0,
    "forward_spf_verified": 0,
    "forward_dmarc_verified": 0,
    "last_modified": 1735937552,
    "created_at": 1735937552
  }
}

Documentation Index

Fetch the complete documentation index at: https://support.jetemail.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for account management endpoints. Use your api_ prefixed token.

Path Parameters

uuid
string<uuid>
required

UUID of the domain

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Response

Successfully retrieved domain settings

success
boolean
Example:

true

result
object